org.codehaus.groovy.runtime.m12n

## Class ExtensionModuleRegistry

- java.lang.Object
- - org.codehaus.groovy.runtime.m12n.ExtensionModuleRegistry

    public class ExtensionModuleRegistry
    extends java.lang.Object

The extension method registry is responsible for collecting methods (or static methods) which are added to existing classes and may be called like regular methods.

In previous Groovy versions, such methods could only be defined in a single class called `DefaultGroovyMethods` for instance methods, and `DefaultGroovyStaticMethods` for static methods.

Since:
  2.0.0

### Constructor Summary

Constructors
Constructor and Description
`ExtensionModuleRegistry()`

### Method Summary

Methods
`void` `addModule(ExtensionModule module)`
`ExtensionModule` `getModule(java.lang.String moduleName)`
`java.util.List<ExtensionModule>` `getModules()`
`boolean` `hasModule(java.lang.String moduleName)`
`void` `removeModule(ExtensionModule module)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtensionModuleRegistry

    public ExtensionModuleRegistry()

### Method Detail

#### addModule

    public void addModule(ExtensionModule module)

#### removeModule

    public void removeModule(ExtensionModule module)

#### getModules

    public java.util.List<ExtensionModule> getModules()

#### hasModule

    public boolean hasModule(java.lang.String moduleName)

#### getModule

    public ExtensionModule getModule(java.lang.String moduleName)